locked
Update-Help Error Message RRS feed

  • Question

  • Everytime I run the Update-Help cmdlet, it brings the following error:

    Update-Help : Failed to update Help for the module(s) 'Appx' with UI culture(s) {en-US} : Help content contains files that are not valid. Only
    .txt and .xml files are supported.
    At line:1 char:1
    + Update-Help -Verbose -Force
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : InvalidData: (:) [Update-Help], Exception
        + FullyQualifiedErrorId : HelpContentContainsInvalidFiles,Microsoft.PowerShell.Commands.UpdateHelpCommand

    Any idea why this happens in the first place?


    Tuesday, June 13, 2017 3:29 AM

All replies

  • Hi Jason,

    >> Failed to update Help for the module(s) 'Appx' with UI culture(s) {en-US} : Help content contains files that are not valid. Only .txt and .xml files are supported.

    same error on my servers also with newest PS5.1.

    You could use: update-help -module appx -force -ea silentcontinuy as a workaround to ignore these errors.

    But, if you run: get-help some appx cmdlets -full you'll get the help file, probably not the newest.

    So, i suppose if you didn't want to ignore this error, please try to download the help files then manually install it or post a feedback on link below:

    Downloading link:

    https://www.microsoft.com/en-us/download/details.aspx?id=36475

    Feedback link:

    https://windowsserver.uservoice.com/forums/301869-powershell

    Best regards,

    Andy


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    • Proposed as answer by Hello_2018 Thursday, June 22, 2017 6:56 AM
    Wednesday, June 14, 2017 3:12 AM